HIVE TOOLBOX 1
==============

Nach einer gründlichen Aufräumarbeit im TriOS ist diese Toolbox 1 das erste
Paket einer ganzen Serie von Anwendungen, Democodes, Tools und Mediendateien
für den Hive. Viele Fragmente gab es bisher schon auf meiner Festplatte oder
sind bei der Programmierung vom TriOS entstanden, aber meist hatten sie mehr
einen experimentellen Charakter und fehlte noch eine Kleinigkeit. Einige
wenige Dateien sind Beispiele von Parallax oder aus der Community, die ich
an den Hive angepasst habe. In dieser Toolbox enthalten sind Codebeispiele
aus folgenden Themenbereichen:

 - Bellatrix-Programmierung: Dabei handelt es sich um reinen Bellatrix-Code,
   also ohne Anbindung und Kommunikation zu Regnatix.
 - Graphics-Objekt: Wie werden einfache Grafiken erzeugt, die Maus eingebunden,
   Animationen erzeugt usw.
 - Grundlegende Ansteuerung der zwei SID-COG's im Administra-Code admsid.adm
 - Regnatix-Code: Ein einfaches Hallo-Welt und ein Beispiel, wie die Parameter-
   übergabe von Regime funktioniert

Ich hoffe, dass diese Fragmente ein wenig zum Experimentieren einladen und
zeigen können, wie einfach die Programmierung der Slavechips und des Hive ist.
Alle Demos sind direkt in Regime startbar und werden entweder mit ESC oder der
rechten Maustaste abgebrochen. Teilweise ist noch die linke Taste und das
Scrollrad mit einer Funktion belegt - einfach mal testen.

Vorraussetzungen zum Selbstcompilieren: Als Compiler muß Brat's Spin Tool -
kurz BST - verwendet werden. In den Einstellungen des Compilers
(Tools/Compiler Preferences/Search Paths) muss das lib-Verzeichnis im TriOS
eingetragen werden, damit der Compiler die benötigten Bibliotheken findet.

Downloadlink BST: http://www.fnarfbargle.com/bst.html

Um mit der makelog-Batchdatei alle ausführbaren Dateien in einem Rutsch zu
erstellen, muß sich die Commandline-Version des Compilers (bstc) im Pfad
befinden. Außerdem müssen die Quelltexte in folgender Struktur vorliegen:

Hauptverzeichnis (beliebiger Name und Ort)
 |
 +-Bin
 |
 +-TriOS
 |
 +-Toolbox-1

Diese Struktur ist nötig, damit auch der Kommandozeilencompiler bstc.exe auf
die Bibliotheken von TriOS zugreifen kann. Alternativ könnte man natürlich auch
den Pfad in der Batchdatei anpassen. Das Bin-Verzeichnis wird automatisch
erstellt und enthält die auf die SD-Card zu spielenden Daten.

-------------------------------------------------------------------------------


Name    : 1-koord.bel
Chip    : Bellatrix
Video   : TV

 - Initialisierung des Graphics-Objektes
 - Einfache Grafikbefehle, Textausgabe
 - Darstellung des Koordinatensystems


Name    : 2-dots
Chip    : Bellatrix
Video   : TV

 - Füllt den Bildschirm mit Kreisen verschiedener Farbe.


Name    : 3-objekt
Chip    : Bellatrix
Video   : TV

 - Verwendung und Animation von Vektorobjekten


Name    : 4-boing
Chip    : Bellatrix
Video   : TV

 - Animiertes Vektorobjekt


Name    : 5-scroll
Chip    : Bellatrix
Video   : TV

 - Animiertes Vektorobjekt mit Textcroller


Name    : 6-mouse1
Chip    : Bellatrix
Video   : TV

 - Bewegung und Drehung eines Vektorobjektes mit der Maus.


Name    : 6-mouse2
Chip    : Bellatrix
Video   : TV

 - Mauspfeil mit Koordinatenkreuz
 - Numerische Koordinatenanzeige


Name    : 7-sat
Chip    : Bellatrix
Video   : TV

 - Animation, kreisendes Objekt


Name    : 8-sinus
Chip    : Bellatrix
Video   : TV

 - Vektorobjekt mit hinterlegtem Sinus
 - Verwendung der Sinustabelle


Name    : 9-lissa1
Chip    : Bellatrix
Video   : TV

 - Lissajou-Figur mit Maussteuerung


Name    : 9-lissa2
Chip    : Bellatrix
Video   : TV

 - Lissajou-Animation aus 256 Linienfragmenten


Name    : 10-ani1
Chip    : Bellatrix
Video   : TV

 - Mauscursor mit Objekt an Gummiseil


Name    : 10-ani2
Chip    : Bellatrix
Video   : TV

 - Mauscursor mit zwei per Gummisiel gekoppelten Objekten


Name    : 11-logo1
Chip    : Bellatrix
Video   : TV

 - Hive-Logo


Name    : 11-logo2
Chip    : Bellatrix
Video   : TV

 - Animation aus zwei drehenden Hive-Logos mit Scrolltext


Name    : 12-matr
Chip    : Bellatrix
Video   : VGA + TV

- Gleichzeitige Ausgabe von verschiedenen Bildern an VGA und TV
- Matrix-Anzeige auf VGA
- Echtzeit Farbscroller ohne Bildpuffer auf TV


Name    : 13-gdemo
Chip    : Bellatrix
Video   : TV

 - Graphics-Demo von Parallax


Name    : 14-gpal
Chip    : Bellatrix
Video   : TV

 - Anzeige der Graphics-Farbpallette von Parallax
 - Numerische Anzeige des Farbwertes unter Mauscursor


Name    : 15-sid1, 15-sid2
Chip    : Regnatix
Video   : VGA

 - Einfacher Trackersound auf SID 1 bw. SID 2
 - admsid.adm muss vorher geladen werden!


Name    : 16-hallo
Chip    : Regnatix
Video   : VGA

 - Hive Version von "Hallo Welt!"


Name	: 17-para
Chip	: Regnatix
Video	: VGA

 - Beispiel wie Parameter von der Kommandozeile an die Anwendung übergeben
   werden


Name    : 18-tdemo
Chip    : Regnatix
Video   : VGA

 - Einfache Anwendung der Zeichenausgabefunktionen
